// @ts-ignore

/* eslint-disable */
import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
/** 获取商品类型  sdsa GET /kitchen/api/rule */
export async function goodsType(data) {
  return request(getDataBaseUrl()+`/api/goodstype/page`, {
    method: 'POST',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
/** 新建商品类型 POST /kitchen/api/rule */
export async function GetDicList(TypeCode) {
  return request(getDataBaseUrl()+`/api/dict-data/dic-list/${TypeCode}`, {
    method: 'Get',
  });
}

export async function addGoodsType(data) {
  // http://localhost:5001
  return request(getDataBaseUrl()+'/api/goodstype/add', {
    method: 'POST',
    // type:'json',
    data: data,
    // ...(options || {}),
  });
}

/** 更新商品类型 PUT /kitchen/api/rule */

export async function updateGoodsType(data) {
  return request(getDataBaseUrl()+'/api/goodstype/update', {
    method: 'POST',
    data: data,
    // ...(options || {}),
  });
}

/** 删除商品类型 DELETE /kitchen/api/rule */

export async function removeGoodsTypes(data) {
  return request(getDataBaseUrl()+`/api/goodstype/delete`, {
    method: 'GET',
    data: data,
    // ...(options || {}),
  });
}
export async function DeleteGoodsType(data) {
  return request(getDataBaseUrl()+`/api/goodstype/delete?id=${data}`, {
    method: 'Get'
  });
}
export async function DeleteGoodsTypes(data) {
  return request(getDataBaseUrl()+`/api/goodstype/deletebyids`, {
    method: 'post',
    data: data,
  });
}
export async function gettree(params) {
  return request(getDataBaseUrl()+'/api​/goodstype/tree', {
    method: 'GET',
    data: {
      ...params,
    },
  });
}
export async function getgoodsattributepage(data) {
  return request(getDataBaseUrl()+`/api/goodsattribute/getgoodsattributepage`, {
    method: 'POST',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function addgoodsattribute(data) {
  return request(getDataBaseUrl()+`/api/goodsattribute/addgoodsattribute`, {
    method: 'POST',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function deletegoodsattribute(data) {
  return request(getDataBaseUrl()+`/api/goodsattribute/deletegoodsattribute`, {
    method: 'POST',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function addgoodsattributevalue(data) {
  return request(getDataBaseUrl()+`/api/goodsattribute/addgoodsattributevalue`, {
    method: 'POST',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function deletegoodsattributevalue(data) {
  return request(getDataBaseUrl()+`/api/goodsattribute/deletegoodsattributevalue?id=`+data, {
    method: 'GET',
    // params: { ...params },
    // ...(options || {}),
  });
}
